Author Topic: Mibew Messenger 1.6.15 and php 7.4  (Read 96 times)

0 Members and 1 Guest are viewing this topic.

scott_ease

  • Jr. Member
  • **
  • Posts: 4
Mibew Messenger 1.6.15 and php 7.4
« on: November 04, 2021, 05:59:45 AM »
First of all, I'm grateful to all open source programs.

Mibew Messenger is probably the most lightweight open source livechat software, which is certainly an attractive advantage.

Since you mentioned speed and performance, I'd like to ask a question: Is there any way to make Mibew Messenger 1.6.15 compatible with php7.4 or downsize current version 3.5.1? I like version 1.6.15 because it's cheeringly lightweight with only 10 sql tables.

Thank you.
« Last Edit: November 04, 2021, 01:31:00 PM by faf »


faf

  • Mibew Staff Member
  • Native
  • *****
  • Posts: 932
    • Mibew Messenger
Re: Mibew Messenger 1.6.15 and php 7.4
« Reply #1 on: November 04, 2021, 01:37:28 PM »
1. Please, post separate questions in separate topics.

2. The code of 1.6.x is open and free/libre, it's available at Github, so probably one could try to make it compatible with modern versions of PHP. At the same time the aforementioned code is obsolete (most recent changes were made 6 years ago, and most code is much older), and probably contains vulnerabilities. So genuinely it's a very bad idea.